Open CASCADE Technology: Prs3d_PointAspect Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Prs3d_PointAspect Class Reference

This class defines attributes for the points The points are drawn using markers, whose size does not depend on the zoom value of the views. More...

`#include <Prs3d_PointAspect.hxx>`

Inheritance diagram for Prs3d_PointAspect:
[legend]

## Public Member Functions
| Prs3d_PointAspect (const Aspect_TypeOfMarker aType, const Quantity_Color &aColor, const Standard_Real aScale)
| Prs3d_PointAspect (const Aspect_TypeOfMarker aType, const Quantity_NameOfColor aColor, const Standard_Real aScale)
| Prs3d_PointAspect (const Quantity_Color &AColor, const Standard_Integer AWidth, const Standard_Integer AHeight, const Handle< TColStd_HArray1OfByte > &ATexture)
| defines only the urer defined marker point. More...
| Prs3d_PointAspect (const Handle< Graphic3d_AspectMarker3d > &theAspect)
void | SetColor (const Quantity_Color &aColor)
void | SetColor (const Quantity_NameOfColor aColor)
| defines the color to be used when drawing a point. Default value: Quantity_NOC_YELLOW More...
void | SetTypeOfMarker (const Aspect_TypeOfMarker aType)
| defines the type of representation to be used when drawing a point. Default value: Aspect_TOM_PLUS More...
void | SetScale (const Standard_Real aScale)
| defines the size of the marker used when drawing a point. Default value: 1. More...
Handle< Graphic3d_AspectMarker3d > | Aspect () const
void | SetAspect (const Handle< Graphic3d_AspectMarker3d > &theAspect)
void | GetTextureSize (Standard_Integer &AWidth, Standard_Integer &AHeight)
| Returns marker's texture size. More...
const Handle< Graphic3d_MarkerImage > & | GetTexture ()
| Returns marker's texture. More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Detailed Description

This class defines attributes for the points The points are drawn using markers, whose size does not depend on the zoom value of the views.

## Constructor & Destructor Documentation

Prs3d_PointAspect::Prs3d_PointAspect | ( | const Aspect_TypeOfMarker | aType,
|  | const Quantity_Color & | aColor,
|  | const Standard_Real | aScale
| ) |  |

Prs3d_PointAspect::Prs3d_PointAspect | ( | const Aspect_TypeOfMarker | aType,
|  | const Quantity_NameOfColor | aColor,
|  | const Standard_Real | aScale
| ) |  |

Prs3d_PointAspect::Prs3d_PointAspect | ( | const Quantity_Color & | AColor,
|  | const Standard_Integer | AWidth,
|  | const Standard_Integer | AHeight,
|  | const Handle< TColStd_HArray1OfByte > & | ATexture
| ) |  |

defines only the urer defined marker point.

Prs3d_PointAspect::Prs3d_PointAspect | ( | const Handle< Graphic3d_AspectMarker3d > & | theAspect | ) |

## Member Function Documentation

Handle< Graphic3d_AspectMarker3d > Prs3d_PointAspect::Aspect | ( |  | ) | const

const Handle< Graphic3d_MarkerImage >& Prs3d_PointAspect::GetTexture | ( |  | ) |

Returns marker's texture.

void Prs3d_PointAspect::GetTextureSize | ( | Standard_Integer & | AWidth,
|  | Standard_Integer & | AHeight
| ) |  |

Returns marker's texture size.

void Prs3d_PointAspect::SetAspect | ( | const Handle< Graphic3d_AspectMarker3d > & | theAspect | ) |

void Prs3d_PointAspect::SetColor | ( | const Quantity_Color & | aColor | ) |

void Prs3d_PointAspect::SetColor | ( | const Quantity_NameOfColor | aColor | ) |

defines the color to be used when drawing a point. Default value: Quantity_NOC_YELLOW

void Prs3d_PointAspect::SetScale | ( | const Standard_Real | aScale | ) |

defines the size of the marker used when drawing a point. Default value: 1.

void Prs3d_PointAspect::SetTypeOfMarker | ( | const Aspect_TypeOfMarker | aType | ) |

defines the type of representation to be used when drawing a point. Default value: Aspect_TOM_PLUS

The documentation for this class was generated from the following file:

- Prs3d_PointAspect.hxx